import isNullOrEmpty from '../../../utils/isNullOrEmpty';


export default ({
    expanded = false,
    fetching = false,
    highlightedIndex = -1,
    options = [],
    value = '',
} = {}) => {
    const rawValue = !isNullOrEmpty(value)
        ? value.toString()
        : '';

    return {
        expanded,
        fetching,
        highlightedIndex,
        options,
        optionsTotal: options.length,
        rawValue,
        value,
    };
};
