import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'datepicker.highlighted-index-change';

export default ({ currentMonth, highlightedIndex, path, root, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root,
        },
        payload: {
            currentMonth,
            highlightedIndex,
        },
    };
};

export const reducer = handleFoundationAction(foundation);
