import { handleActions } from 'redux-seamless-reducers';

import { reducer as close } from './close';
import { reducer as fetching } from './fetching';
import { reducer as fetched } from './fetched';
import { reducer as open } from './open';
import { reducer as submitting } from './submitting';
import { reducer as submitted } from './submitted';

import defaultState from './defaultState';


const actions = {
    ...close,
    ...fetching,
    ...fetched,
    ...open,
    ...submitting,
    ...submitted,
};

export default () => {
    return {
        lightbox: handleActions(actions, defaultState),
    };
};
