import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { connect } from 'react-redux';

import FoundationLightbox from './FoundationLightbox';
import * as lightbox from './redux/actions';


const FoundationLightboxContainer = React.createClass({

    mixins: [PureRenderMixin],

    render() {
        return (
            <FoundationLightbox { ...this.props } />
        );
    },

});

const mapStateToProps = (state) => {
    const { disableClose, name, props } = state.lightbox;
    return {
        disableClose,
        name,
        props,
    };
};

const mapDispatchToProps = (dispatch) => {
    return {
        onClose: () => dispatch(lightbox.close()),
    };
};

export default connect(mapStateToProps, mapDispatchToProps)(FoundationLightboxContainer);
